include $(TOPDIR)/rules.mk

PKG_NAME:=timingila
PKG_VERSION:=proj_prpl_v0.4.5
SHORT_DESCRIPTION:=High level LCM component

PKG_SOURCE:=timingila-v0.4.5.tar.gz
PKG_SOURCE_URL:=https://gitlab.com/prpl-foundation/lcm/applications/timingila/-/archive/v0.4.5
PKG_HASH:=4f6803eca28101843954fa93255bef39d9179d2c496efb73f1ff97f5653b3f63
PKG_BUILD_DIR:=$(BUILD_DIR)/timingila-v0.4.5
PKG_MAINTAINER:=Soft At Home <support.opensource@softathome.com>
PKG_LICENSE:=BSD-2-Clause-Patent
PKG_LICENSE_FILES:=LICENSE

COMPONENT:=timingila

PKG_RELEASE:=1

define SAHInit/Install
	install -d ${PKG_INSTALL_DIR}/etc/rc.d/
	ln -sfr ${PKG_INSTALL_DIR}/etc/init.d/$(COMPONENT) ${PKG_INSTALL_DIR}/etc/rc.d/S$(CONFIG_SAH_SERVICES_TIMINGILA_INIT_ORDER)$(COMPONENT)
endef

include $(INCLUDE_DIR)/package.mk

define Package/$(PKG_NAME)
  CATEGORY:=SoftAtHome
  SUBMENU:=Applications
  TITLE:=$(SHORT_DESCRIPTION)
  URL:=https://gitlab.com/prpl-foundation/lcm/applications/timingila
  DEPENDS += +libsahtrace
  DEPENDS += +libamxc
  DEPENDS += +libamxp
  DEPENDS += +libamxd
  DEPENDS += +libamxm
  DEPENDS += +libamxo
  DEPENDS += +mod-dmproxy
  MENU:=1
endef

define Package/$(PKG_NAME)/description
	High level LCM component
endef

define Build/Compile
	$(call Build/Compile/Default, STAGINGDIR=$(STAGING_DIR) CONFIGDIR=$(STAGING_DIR) PKG_CONFIG_PATH=$(STAGING_DIR)/usr/lib/pkgconfig RAW_VERSION=$(PKG_VERSION) HARDCO_HAL_DIR=$(STAGING_DIR)/usr/include CONFIG_SAH_SERVICES_TIMINGILA_INIT_ORDER=$(CONFIG_SAH_SERVICES_TIMINGILA_INIT_ORDER) CONFIG_SAH_SERVICES_TIMINGILA_INIT_ADAPTERS=$(CONFIG_SAH_SERVICES_TIMINGILA_INIT_ADAPTERS) CONFIG_SAH_SERVICES_TIMINGILA_ADAPTER_PACKAGER=$(CONFIG_SAH_SERVICES_TIMINGILA_ADAPTER_PACKAGER) CONFIG_SAH_SERVICES_TIMINGILA_ADAPTER_CONTAINER=$(CONFIG_SAH_SERVICES_TIMINGILA_ADAPTER_CONTAINER))
endef

define Build/Install
	$(call Build/Install/Default, install INSTALL=install D=$(PKG_INSTALL_DIR) DEST=$(PKG_INSTALL_DIR) CONFIGDIR=$(STAGING_DIR) PV=$(PKG_VERSION) PKG_CONFIG_LIBDIR=$(STAGING_DIR)/usr/lib/pkgconfig LIBDIR=/usr/lib INSTALL_LIB_DIR=/lib INSTALL_BIN_DIR=/bin RAW_VERSION=$(PKG_VERSION) HARDCO_HAL_DIR=$(STAGING_DIR)/usr/include CONFIG_SAH_SERVICES_TIMINGILA_INIT_ORDER=$(CONFIG_SAH_SERVICES_TIMINGILA_INIT_ORDER) CONFIG_SAH_SERVICES_TIMINGILA_INIT_ADAPTERS=$(CONFIG_SAH_SERVICES_TIMINGILA_INIT_ADAPTERS) CONFIG_SAH_SERVICES_TIMINGILA_ADAPTER_PACKAGER=$(CONFIG_SAH_SERVICES_TIMINGILA_ADAPTER_PACKAGER) CONFIG_SAH_SERVICES_TIMINGILA_ADAPTER_CONTAINER=$(CONFIG_SAH_SERVICES_TIMINGILA_ADAPTER_CONTAINER))
	find $(PKG_INSTALL_DIR) -name *.a -exec rm {} +;
	find $(PKG_INSTALL_DIR) -name *.h -exec rm {} +;
	find $(PKG_INSTALL_DIR) -name *.pc -exec rm {} +;

	$(call SAHInit/Install)
endef

define Build/InstallDev
	$(call Build/Install/Default, install INSTALL=install D=$(STAGING_DIR) DEST=$(STAGING_DIR) CONFIGDIR=$(STAGING_DIR) PV=$(PKG_VERSION) PKG_CONFIG_LIBDIR=$(STAGING_DIR)/usr/lib/pkgconfig LIBDIR=/usr/lib INSTALL_LIB_DIR=/lib INSTALL_BIN_DIR=/bin RAW_VERSION=$(PKG_VERSION) HARDCO_HAL_DIR=$(STAGING_DIR)/usr/include CONFIG_SAH_SERVICES_TIMINGILA_INIT_ORDER=$(CONFIG_SAH_SERVICES_TIMINGILA_INIT_ORDER) CONFIG_SAH_SERVICES_TIMINGILA_INIT_ADAPTERS=$(CONFIG_SAH_SERVICES_TIMINGILA_INIT_ADAPTERS) CONFIG_SAH_SERVICES_TIMINGILA_ADAPTER_PACKAGER=$(CONFIG_SAH_SERVICES_TIMINGILA_ADAPTER_PACKAGER) CONFIG_SAH_SERVICES_TIMINGILA_ADAPTER_CONTAINER=$(CONFIG_SAH_SERVICES_TIMINGILA_ADAPTER_CONTAINER))
endef

define Package/$(PKG_NAME)/install
	$(CP) $(PKG_INSTALL_DIR)/* $(1)/
	if [ -d ./files ]; then \
		$(CP) ./files/* $(1)/; \
	fi
endef

define Package/$(PKG_NAME)/config
	source "$(SOURCE)/Config.in"
endef

$(eval $(call BuildPackage,$(PKG_NAME)))
